Bug 218781 (bmake-20170413_py-pykde4) - Import of bmake 20170413 broke devel/py-pykde4
Summary: Import of bmake 20170413 broke devel/py-pykde4
Status: Closed FIXED
Alias: bmake-20170413_py-pykde4
Product: Base System
Classification: Unclassified
Component: bin (show other bugs)
Version: CURRENT
Hardware: Any Any
: --- Affects Some People
Assignee: Simon J. Gerraty
URL: https://lists.freebsd.org/pipermail/f...
Keywords:
Depends on:
Blocks:
 
Reported: 2017-04-20 16:30 UTC by Tobias C. Berner
Modified: 2017-04-23 21:37 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias C. Berner freebsd_committer 2017-04-20 16:30:47 UTC
Hi


With CURRENT post base r316946 `devel/py-pykde4` fails to build with

    -- Build files have been written to: /wrkdirs/usr/ports/devel/py-pykde4/work/.build
    /usr/local/bin/cmake -E cmake_progress_start /wrkdirs/usr/ports/devel/py-pykde4/work/.build/CMakeFiles /wrkdirs/usr/ports/devel/py-pykde4/work/.build/CMakeFiles/progress.marks
    /usr/bin/make -f CMakeFiles/Makefile2 all
    make[2]: cannot open CMakeFiles/Makefile2.
    
    make[2]: stopped in /wrkdirs/usr/ports/devel/py-pykde4/work/.build/wrkdirs/usr/ports/devel/py-pykde4/work/.build
    *** [all] Error code 2
    
    make[1]: stopped in /wrkdirs/usr/ports/devel/py-pykde4/work/.build
    1 error
    
    make[1]: stopped in /wrkdirs/usr/ports/devel/py-pykde4/work/.build
    ===> Compilation failed unexpectedly.
    Try to set MAKE_JOBS_UNSAFE=yes and rebuild before reporting the failure to
    the maintainer.
    *** Error code 1
    
    Stop.
    make: stopped in /usr/ports/devel/py-pykde4

switching it to use `USES=gmake` fixes the issue as a work-around.


I verified, that it works with base r316946 and does not with base r316949:
> bmake_316946 head@316946: [01:42:16] ====>> [01][00:03:20] Finished build of devel/py-pykde4: Success
> bmake_316949 head@316949: [00:03:41] ====>> [01][00:01:41] Finished build of devel/py-pykde4: Failed: build



Maybe some other ports are affected by this too.


mfg Tobias
Comment 1 Antoine Brodin freebsd_committer 2017-04-20 18:09:31 UTC
There seems to be a problem with the working directory:

-- Build files have been written to: /wrkdirs/usr/ports/devel/py-pykde4/work/.build
/usr/local/bin/cmake -E cmake_progress_start /wrkdirs/usr/ports/devel/py-pykde4/work/.build/CMakeFiles /wrkdirs/usr/ports/devel/py-pykde4/work/.build/CMakeFiles/progress.marks
/usr/bin/make -f CMakeFiles/Makefile2 all
make[2]: cannot open CMakeFiles/Makefile2.

make[2]: stopped in /wrkdirs/usr/ports/devel/py-pykde4/work/.build/wrkdirs/usr/ports/devel/py-pykde4/work/.build
*** Error code 2

Stop.
make[1]: stopped in /wrkdirs/usr/ports/devel/py-pykde4/work/.build
*** Error code 1


The "/wrkdirs/usr/ports/devel/py-pykde4/work/.build/wrkdirs/usr/ports/devel/py-pykde4/work/.build" looks suspicious.
Comment 2 Simon J. Gerraty freebsd_committer 2017-04-20 23:31:11 UTC
There are a couple of known bugs in bmake-20170413, so it is being updated (as I type).
It is quite possible that that will fix this issue - I don't build ports enough to be sure what the issue here is, but will ask you to retry once bmake-20170420 is in the tree.
Comment 3 Simon J. Gerraty freebsd_committer 2017-04-21 00:57:41 UTC
r317239 updates bmake to 20170420, can you retry with that pls
Comment 4 Tobias C. Berner freebsd_committer 2017-04-23 21:37:40 UTC
I tested it against r317245. It seems to work again. 

Thanks.